I'm missing my Filter command...

 I want to select a particular block, by name. I don't know where it is in the drawing, but I need to see it and either explode it or rename it, depending on what it is.

In ACAD, I would use the filter dialogue box and I could select entities based on a whole host of properties, not just properties that are shown in the properties dialogue box.

There is a command called DDFILTER in BCAD but the help file isn't all that helpful and it sure doesn't look like a dialogue box to me.

Could anyone shed some light on my plight?

cheers

andy

Comments

  •  I don't know if it is my last version and if works, I can post it you tomarrow .

  • Here's a custom command that removes everything from a selection set except block insertions, and if you supply a block name it removes everything except insertions of that particular block. It's pretty crude -- you have to type in the block name rather than selecting it from a pop-up list, so if the block name has spaces in it you'd have to rename it in order to use it with this command. But it works in Bricscad.
    [code](defun c:QN ()
    (princ "QN selects by block Name (or all blocks if no name is supplied).  ")
    (setq ET "INSERT")
    (setq PR (cons 0 ET))
    (setq ss1 (ssget (list PR)))
    (if ss1   (sssetfirst nil ss1)
      (progn (princ "\n ...none found.") (princ))   )
    ;(command "regen")
    ;(command "selgrips" "p" "")
    (princ " Available names:  ")
    (setq BlkList (vla-get-Blocks (vla-get-activedocument (vlax-get-acad-object))))
    (vlax-for Blk1 BlkList (princ (vla-get-Name Blk1)) (princ ", ") )
    (setq BL (getstring "\nEnter block name to select:"))
    (setq ss1 (ssget '((0 . "INSERT")) ))
    (if ss1 (progn (sssetfirst nil ss1)
                   (setq ss1 (ssget "P" (list (cons 2 BL)) ) )
                   )
            )
    (if ss1 (sssetfirst nil ss1)
      (progn (princ "\n ...none found.") (princ))   )
    )[/code]
  • Alternatively you could
    1. click the Quick Select button
    2. select the Block Reference (xx) entry from the list that shows the overview of the drawing content
    3. fill in the name of the desired block in the Name property field
    4. click the 'Add to current selection set' button - it depicts a selection rectangle and a green plus sign and is located near the top of the dialog

    This will provide you with a selection set containing all blocks in the drawing with that name.
  • Alternatively you could
    1. click the Quick Select button
    2. select the Block Reference (xx) entry from the list that shows the overview of the drawing content
    3. fill in the name of the desired block in the Name property field
    4. click the 'Add to current selection set' button - it depicts a selection rectangle and a green plus sign and is located near the top of the dialog

    This will provide you with a selection set containing all blocks in the drawing with that name.

    Thanks Hans, quick select is something I've hardly ever used... You know what it's like... You get used to doing something a particular way over the years and you stick with it, not learning any "new tricks." So thanks for pointing that out.

    Thanks to everyone else for your input, I appreciate it :)
This discussion has been closed.